summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_setup_pbuilder.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-11-16 18:49:49 +0100
committerHolger Levsen <holger@layer-acht.org>2016-11-16 18:49:49 +0100
commit63a0b8f7204c70035efd1225fa7707dc63e28c5a (patch)
treec203adcacb231c9901466fe6888c8d0cc86a9f47 /bin/reproducible_setup_pbuilder.sh
parentd9fab6da2847fa0ed3672f2c36893a7376971dda (diff)
downloadjenkins.debian.net-63a0b8f7204c70035efd1225fa7707dc63e28c5a.tar.xz
reproducible Debian: fixed dpkg moved to stretch \o/
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/reproducible_setup_pbuilder.sh')
-rwxr-xr-xbin/reproducible_setup_pbuilder.sh21
1 files changed, 12 insertions, 9 deletions
diff --git a/bin/reproducible_setup_pbuilder.sh b/bin/reproducible_setup_pbuilder.sh
index 2eaad082..28bad4fc 100755
--- a/bin/reproducible_setup_pbuilder.sh
+++ b/bin/reproducible_setup_pbuilder.sh
@@ -106,17 +106,20 @@ setup_pbuilder() {
cat "$TMPFILE"
fi
sudo pbuilder --execute $pbuilder_http_proxy --save-after-exec --basetgz /var/cache/pbuilder/${NAME}-new.tgz -- ${TMPFILE} | tee ${LOG}
+
+ # FIXME: this code should be dropped it's just so new that a fixed dpkg is in testing as well… \o/
# finally, confirm things are as they should be
# (we only have modified dpkg left in testing…)
- if [ "$SUITE" = "testing" ] ; then
- echo
- echo "Now let's see whether the correct packages where installed..."
- for PKG in ${PACKAGES} ; do
- egrep "http://reproducible.alioth.debian.org/debian(/|) ./ Packages" ${LOG} \
- | grep -v grep | grep "${PKG} " \
- || ( echo ; echo "Package ${PKG} is not installed at all or probably rather not in our version, so removing the chroot and exiting now." ; sudo rm -v /var/cache/pbuilder/${NAME}-new.tgz ; rm $TMPFILE $LOG ; exit 1 )
- done
- fi
+ #if [ "$SUITE" = "testing" ] ; then
+ # echo
+ # echo "Now let's see whether the correct packages where installed..."
+ # for PKG in ${PACKAGES} ; do
+ # egrep "http://reproducible.alioth.debian.org/debian(/|) ./ Packages" ${LOG} \
+ # | grep -v grep | grep "${PKG} " \
+ # || ( echo ; echo "Package ${PKG} is not installed at all or probably rather not in our version, so removing the chroot and exiting now." ; sudo rm -v /var/cache/pbuilder/${NAME}-new.tgz ; rm $TMPFILE $LOG ; exit 1 )
+ # done
+ #fi
+
sudo mv /var/cache/pbuilder/${NAME}-new.tgz /var/cache/pbuilder/${NAME}.tgz
# create stamp file to record initial creation date minus some hours so the file will be older than 24h when checked in <24h...
touch -d "$(date -u -d '6 hours ago' '+%Y-%m-%d %H:%M')" /var/log/jenkins/${NAME}.tgz.stamp